The SoundTransform class contains properties for volume and panning.

### Hierarchy

- SoundTransform

## Index

### Constructors

- constructor

### Properties

- leftToLeft
- leftToRight
- pan
- rightToLeft
- rightToRight
- volume

### Methods

- clone

## Constructors

### constructor

- new SoundTransform(vol?: number, panning?: number): SoundTransform

- - Defined in lib/openfl/media/SoundTransform.d.ts:44

  Creates a SoundTransform object.

  #### Parameters

  - ##### Optional vol: number

    The volume, ranging from 0(silent) to 1(full volume).

  - ##### Optional panning: number

    The left-to-right panning of the sound, ranging from -1 (full pan left) to 1(full pan right). A value of 0 represents no panning(center).

  #### Returns SoundTransform

## Properties

### leftToLeft

leftToLeft: number

- Defined in lib/openfl/media/SoundTransform.d.ts:14

A value, from 0(none) to 1(all), specifying how much of the left input is played in the left speaker.

### leftToRight

leftToRight: number

- Defined in lib/openfl/media/SoundTransform.d.ts:20

A value, from 0(none) to 1(all), specifying how much of the left input is played in the right speaker.

### pan

pan: number

- Defined in lib/openfl/media/SoundTransform.d.ts:27

The left-to-right panning of the sound, ranging from -1(full pan left) to 1(full pan right). A value of 0 represents no panning(balanced center between right and left).

### rightToLeft

rightToLeft: number

- Defined in lib/openfl/media/SoundTransform.d.ts:33

A value, from 0(none) to 1(all), specifying how much of the right input is played in the left speaker.

### rightToRight

rightToRight: number

- Defined in lib/openfl/media/SoundTransform.d.ts:39

A value, from 0(none) to 1(all), specifying how much of the right input is played in the right speaker.

### volume

volume: number

- Defined in lib/openfl/media/SoundTransform.d.ts:44

The volume, ranging from 0(silent) to 1(full volume).

## Methods

### clone

- clone(): SoundTransform

- - Defined in lib/openfl/media/SoundTransform.d.ts:58

  #### Returns SoundTransform

Generated using TypeDoc